using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHI.Pins;

using Microtoolskit.Hardware.Displays;

namespace PANDA_3_MesureAngle
{
    public class Program
    {
        public static void Main()
        {
            // Constantes
            const UInt16 delay = 500;   // en ms

            // Variables
            var N = 0;
            var Angle = 0;

            // Configuration des E/S
            OutputPort Led = new OutputPort(FEZPandaIII.Gpio.A0,false); // Connecte sur I0 Tinkerkit
            // http://msdn.microsoft.com/en-us/library/hh421132.aspx (Description de la classe AnalogInput)
            AnalogInput Potentiometre = new AnalogInput(FEZPandaIII.AnalogInput.A5); // Connect sur I5 Tinkerkit
            // http://webge.github.io/ELCD162/ (Description de la classe ELCD162)          
            ELCD162 Lcd = new ELCD162("COM1"); // Connect sur SERIAL Tinkerkit

            Lcd.Init(); Lcd.ClearScreen(); Lcd.CursorOff();

            while (true)
            {
                N = Potentiometre.ReadRaw();
                Angle = (270 * N) / 4096;
                Lcd.ClearScreen();
                Lcd.PutString("Angle= " + Angle.ToString() + "deg");
                //Debug.Print("N= " + N.ToString() + "    " + Angle.ToString() + "");
                if ((Angle<120)||(Angle>150))
                {
                    Led.Write(true);
                }
                else
                {
                    Led.Write(false);
                }
                Thread.Sleep(delay);
            }
        }
    }
}
